%define version 1.3.1
%define release 24mdk

Summary:	Free TrueType font rasterizer library.
Name:		freetype
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Libraries
BuildRequires:	XFree86-devel
BuildRequires:	autoconf2.1
URL:		http://www.freetype.org
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		freetype-%{version}.tar.bz2
Source1:	ttmkfdir.tar.bz2
# Patch from X-TT sources, to correctly support Dynalab TTF fonts
# very poppular in Taiwan
Patch:		freetype1.3-adw-nocheck.patch.bz2
Patch1:		freetype-1.3.1-compile-self.patch.bz2
# (gb) Disable byte-code interpreter
Patch2:		freetype-1.3.1-disable-bci.patch.bz2
# (nanar) fix gcc33 build, included in cvs version
Patch3:		freetype-1.3.1-gcc33.patch.bz2
# (abel) no need to include libintl
Patch4:		freetype-1.3.1-no-intl.patch.bz2

%package devel
Summary:	Header files and static library for development with FreeType.
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%package tools
Summary:	Tools to manipulate TTF fonts
Group:		System/Fonts/True type
Requires:	%{name} = %{version}-%{release}

%description
The FreeType engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType is a library, not a
stand-alone application, though some utility applications are included.

%description devel
This package is only needed if you intend to develop or
compile applications which rely on the FreeType library.
If you simply want to run existing applications, you won't
need this package.

%description tools
Tools to manipulate TTF fonts.

%prep
%setup -q -a 1

%patch -p0 -b .adw
%patch1 -p0
%patch2 -p1 -b .disable-bci
%patch3 -p0
%patch4 -p1 -b .no-intl

autoconf

%build
%configure --disable-debug \
	--enable-static \
	--enable-shared \
	--with-locale-dir=%{_datadir}/locale
make
make -C ttmkfdir-1.1

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall gnulocaledir=$RPM_BUILD_ROOT%{_datadir}/locale
make -C ttmkfdir-1.1 install
ln -sf %{_sbindir}/ttmkfdir $RPM_BUILD_ROOT%{_bindir}/ttmkfdir
rm -f $RPM_BUILD_ROOT%{_bindir}/ft*
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root,-)
%{_libdir}/libttf.so.*
%doc README announce docs

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libttf.so
%{_libdir}/libttf.la
%{_libdir}/libttf.a

%files tools
%defattr(-,root,root,-)
%{_bindir}/*
%{_sbindir}/*

%changelog
* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.3.1-24mdk
- Rebuild

* Sun May 23 2004 Abel Cheung <deaddog@deaddog.org> 1.3.1-23mdk
- Patch4: No need to link with libintl

* Fri Apr 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.1-22mdk
- relink with new libintl

* Mon Nov 17 2003 Stefan van der Eijk <stefan@eijk.nu> 1.3.1-21mdk
- rebuild 4 reupload (alpha)

* Wed Jul  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.1-20mdk
- Rebuild

* Wed Jun 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.3.1-19mdk
- patch3: fix gcc33 build

* Fri Feb 21 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.3.1-18mdk
- removed ft* binaries from tools package.

* Thu Aug 22 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.1-17mdk
- added recognition of ksc5601.1992-3 fonts to ttmkfdir (Mozilla can use them)

* Mon Aug 19 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.3.1-16mdk
- added a link in %{_bindir} for ttmkfdir (reported by Jason Buberel).

* Tue Jun 11 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.3.1-15mdk
- recompiled to get the right dependency on libintl2

* Fri May 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.1-14mdk
- Patch2: Disable byte-code interpreter

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.1-13mdk
- Automated rebuild in gcc3.1 environment

* Thu Jun 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.1-12mdk
- corrected generation of lines for Thai fonts for ttmkfdir
- add a parameter -u to ttmkfdir to force generation of *-iso10646-1 lines

* Thu Jun 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.1-11mdk
- added recognition of gbk to ttmkfdir
- updated thai aliases

* Wed Mar 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.1-10mdk
- corrected ttmkfdir reporting of iso8859-1 encodings by some ttf fonts 
  having a (rong) macroman cmap table.
- added koi8-t, koi8-k and iso10646-1 to ttmkfdir

* Thu Dec  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.1-9mdk
- new lib policy.

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.1-8mdk
- rebuild without freetype-devel installed.

* Tue Sep 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.1-7mdk
- updated ttmkfdir to recognize the new X11 font encodings in XFree86
- fixed a typo

* Tue Sep 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.1-6mdk
- updated ttmkfdir to recognize the new X11 font encodings in XFree86

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.1-5mdk
- use %%find_lang

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.1-4mdk
- automatically added BuildRequires

* Tue Aug 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.1-3mdk
- rebuild for hte BM
- use tmppath

* Sun Jul 09 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.3.1-2mdk
- makeinstall macro
- macroszifications

* Mon Mar 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1
- group fix.

* Wed Nov 24 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild with small patch for Dynalab TTF fonts
- fixed Big5 naming for ttmkfdir ( s/big5.et-0/big5-0/ )

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Fri Oct 22 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added support of microsoft-cp1251 encoding to ttmkfdir
  (so the fonts.dir file it generates will work with all currently supported
  encodings by Linux Mandrake)

* Thu Oct 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.3.

* Tue Sep 18 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added recongnition of the new encodings in XFree86 fro ttmkfdir
  (iso8859-13 and iso8859-14).
- cleaned the %files section

* Mon Aug 23 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added EB (Embedded Bitmap) patch; that allows rebuilding X-TT
  with support for embedded bitmaps of TTF; which makes a *BIG* difference
  in output quality of fonts at small sizes.
- included support to ttmkfdir for all the new encodings known by X-TT

* Tue Jun 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build in the new environement.

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- fixed the %doc file list

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added ttmkfdir

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- update to 1.2

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to sanitize config.sub and get ARM support
- dispoze of the patch (not necessary anymore)

* Wed Oct 21 1998 Preston Brown <pbrown@redhat.com>
- post/postun sections for ldconfig action.

* Tue Oct 20 1998 Preston Brown <pbrown@redhat.com>
- initial RPM, includes normal and development packages.
